Bulk Update Status
curl --request PATCH \
--url https://api.example.com/api/v1/contents/bulk/update-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_ids": [
"<string>"
],
"new_status": "<string>",
"status_message": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/contents/bulk/update-status"
payload = {
"content_ids": ["<string>"],
"new_status": "<string>",
"status_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_ids: ['<string>'], new_status: '<string>', status_message: '<string>'})
};
fetch('https://api.example.com/api/v1/contents/bulk/update-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contents
Bulk Update Status
Update status for multiple contents at once.
Bulk status update operation useful for batch processing workflows.
Args:
content_ids: List of content IDs to update
new_status: New status value (new, processing, completed, failed)
status_message: Optional status message
Returns:
Summary of update results
Example:
PATCH /contents/bulk/update-status
Body:
{
"content_ids": ["con_123", "con_456"],
"new_status": "completed",
"status_message": "Processing finished successfully"
}
PATCH
/
api
/
v1
/
contents
/
bulk
/
update-status
Bulk Update Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Body
application/json
Response
Successful Response
⌘I